﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Chart_declarative : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadHtmlChart1.DataSource = GetData();
		RadHtmlChart1.DataBind();

		RadHtmlChart2.DataSource = GetData();
		RadHtmlChart2.DataBind();
	}

	protected DataTable GetData()
	{
		DataTable dt = new DataTable();

		dt.Columns.Add("Label", typeof(string));
		dt.Columns.Add("FromDate", typeof(decimal));
		dt.Columns.Add("ToDate", typeof(decimal));

		dt.Rows.Add("Task 1", ConvertToJavaScriptDateTime(new DateTime(2015, 01, 01)), ConvertToJavaScriptDateTime(new DateTime(2015, 01, 14)));
		dt.Rows.Add("Task 2", ConvertToJavaScriptDateTime(new DateTime(2015, 02, 12)), ConvertToJavaScriptDateTime(new DateTime(2015, 02, 25)));
		dt.Rows.Add("Task 3", ConvertToJavaScriptDateTime(new DateTime(2015, 03, 17)), ConvertToJavaScriptDateTime(new DateTime(2015, 03, 24)));
		
		return dt;
	}

	protected decimal ConvertToJavaScriptDateTime(DateTime fromDate)
	{
		return (decimal)fromDate.Subtract(new DateTime(1970, 1, 1)).TotalMilliseconds;
	}
}